<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Win32GLSupport.html">Win32GLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Win32GLSupport Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#ad0af6171f27a2347f9776387f47e9d05">addConfig</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">checkExtension</a>(const String &amp;ext) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">checkMinGLVersion</a>(const String &amp;v) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#ac1d74576c1cb3e29c58c021e6881a628">createPBuffer</a>(PixelComponentType format, size_t width, size_t height)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a127f612bb1d4b0d45ca905dbde8248a3">createWindow</a>(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle=&quot;OGRE Render Window&quot;)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#af03edb63d266027d54aa6f80c106624d">DisplayMonitorInfoIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a80fdc9b4141dd2a7c1ce5f3c7c9a6373">DisplayMonitorInfoList</a> typedef</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#aabb6ec06f5a4666efeaecf80627e2f32">dummyWndProc</a>(HWND hwnd, UINT umsg, WPARAM wp, LPARAM lp)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a>(void)</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a2ed2be7b36585cacf6b9cecdc0205554">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a>(void) const </td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#ace1c9b91f87b47f7d14648ff2bc06cc5">getProcAddress</a>(const String &amp;procname)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6f9ba5ca177845957a42cd1bd95f1c92">GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a8112c533f5ae251d9df5aa6b99b75aa1">initialiseExtensions</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a1e1b9b3adf1b6951b3d0c7b8ee83ab75">initialiseWGL</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a10a2d00321cba1c0c93430e89aec5f1c">mDevModes</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a6dc3cd2f38d259b5339598eac6a86d3b">mFSAALevels</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a643bf028ba8cc42848fb918885dfcc54">mHasHardwareGamma</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a4e42667e270e25bf52602e66d1d789e1">mHasMultisample</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a99e1a1a2137741594a69cfdecb75afcf">mHasPixelFormatARB</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a5d1b969c7f9d8d6c3ed881af3abc538f">mInitialWindow</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a7552bb267ac26600f81fe659fc655975">mMonitorInfoList</a></td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a59c0a6d0411c6c337c57da4418a8308d">newWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#adc66dd1bc2f823932137ced09002a6e1">refreshConfig</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a3a43a24ce980ce65644cab71ebb88fb0">sCreateMonitorsInfoEnumProc</a>(HMONITOR hMonitor, HDC hdcMonitor, LPRECT lprcMonitor, LPARAM dwData)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a8083fb352ecc7f6c811647651e3de780">selectPixelFormat</a>(HDC hdc, int colourDepth, int multisample, bool hwGamma)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a43ab2c268ec21fab487ebc0ffdbe0271">setConfigOption</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a380050379cd51b034d824652f38cf31e">start</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a6141fd1becc6a161d37d08204d4a0f27">stop</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#a1fdbb26a63f85157bee76ebfd3c0a600">supportsPBuffers</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#ab9b6d898e384a62207d1b6bf3852d607">validateConfig</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Win32GLSupport.html#aa961422965d3c7e283b90b810f0e7f2e">Win32GLSupport</a>()</td><td><a class="el" href="classOgre_1_1Win32GLSupport.html">Ogre::Win32GLSupport</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLSupport.html#a6da70cbba51979f3b3360cd4fc412f75">~GLSupport</a>()</td><td><a class="el" href="classOgre_1_1GLSupport.html">Ogre::GLSupport</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:21
</p>
</body>
</html>
